MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001007Community[OCCT] OCCT:Modeling Algorithmspublic2002-11-20 13:022011-12-15 17:50
Reporteremo 
Assigned Toskv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.1.0 
Summary0001007: gp_GTrsf and function ModifiedShape of associated BRepBuilderAPI_GTransform
DescriptionThis bug has been added by Xavier Lhomme at
http://www.opencascade.org/forumorg/bug.php?bug_id=96&f=8 [^] .

Hi,

I Perform a complex transformation , including a non isothropic scaling on a
Shape.
To do that, I compute the multiplication of tranformation matrix of the
different sub-transformations and then build a BRepBuilderAPI_GTransform for the
global transformation.

Then, when I want to retrieve the transformed shape of a sub-shape, using
BRepBuilderAPI_GTransform::ModifiedShape(sub-shape), an exception "NoSuchObjet"
is raised.

Is it normal, if yes, what is the process to retrieve sub-shape after a
gp_GTrsf.

Xavier
TagsNo tags attached.
Test case number
Attached Filestgz file icon PatchOCC1007.tgz (1,860 bytes) 2003-04-07 09:38
tgz file icon OCC1007_skv_v2.tgz (1,834 bytes) 2003-05-12 08:55

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2003-03-27 10:59 bugmaster Assigned To bugmaster => skv
2003-03-27 10:59 bugmaster Status new => assigned
2003-04-07 13:39 skv Status assigned => resolved
2003-04-07 16:49 bugmaster CC => apv
2003-04-08 17:38 apv CC => aki
2003-04-15 16:53 aki Status resolved => tested
2003-04-16 12:47 bugmaster Status tested => closed
2003-04-16 12:47 bugmaster Resolution @0@ => fixed
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-12-15 17:50 bugmaster Project Open CASCADE => Community


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker